curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties/{id}/extend' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
POST /api/v1/warranties/{id}/extend
POST /api/v1/warranties/{id}/extend
POST
/
api
/
v1
/
warranties
/
{id}
/
extend
curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties/{id}/extend' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
Warranty ID
Request body
JSON body of typeExtendWarrantyRequest.
Responses
ApiResponse_WarrantySummary
Warranty extended
ErrorResponse
Invalid request
ErrorResponse
Warranty not found
curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties/{id}/extend' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI